summaryrefslogtreecommitdiffstats
path: root/Misc/build.sh
diff options
context:
space:
mode:
authorGeorg Brandl <georg@python.org>2010-01-03 13:05:39 (GMT)
committerGeorg Brandl <georg@python.org>2010-01-03 13:05:39 (GMT)
commit7c910ebf5b647337c1f311d0d917554f82361cbd (patch)
tree91c84ad40ed4ebc007c53e5101ae5609c7bee8cd /Misc/build.sh
parentf132c16199788bb83f2a7409bbc6febb8ec606c6 (diff)
downloadcpython-7c910ebf5b647337c1f311d0d917554f82361cbd.zip
cpython-7c910ebf5b647337c1f311d0d917554f82361cbd.tar.gz
cpython-7c910ebf5b647337c1f311d0d917554f82361cbd.tar.bz2
Update doc build step.
Diffstat (limited to 'Misc/build.sh')
-rwxr-xr-xMisc/build.sh22
1 files changed, 3 insertions, 19 deletions
diff --git a/Misc/build.sh b/Misc/build.sh
index 2d45af3..a5a7d49 100755
--- a/Misc/build.sh
+++ b/Misc/build.sh
@@ -257,25 +257,9 @@ fi
cd $DIR/Doc
F="make-doc.out"
start=`current_time`
-# XXX(nnorwitz): For now, keep the code that checks for a conflicted file until
-# after the first release of 2.6a1 or 3.0a1. At that point, it will be clear
-# if there will be a similar problem with the new doc system.
-
-# Doc/commontex/boilerplate.tex is expected to always have an outstanding
-# modification for the date. When a release is cut, a conflict occurs.
-# This allows us to detect this problem and not try to build the docs
-# which will definitely fail with a conflict.
-#CONFLICTED_FILE=commontex/boilerplate.tex
-#conflict_count=`grep -c "<<<" $CONFLICTED_FILE`
-conflict_count=0
-if [ $conflict_count != 0 ]; then
- echo "Conflict detected in $CONFLICTED_FILE. Doc build skipped." > ../build/$F
- err=1
-else
- make clean > ../build/$F 2>&1
- make html >> ../build/$F 2>&1
- err=$?
-fi
+make clean > ../build/$F 2>&1
+make checkout html >> ../build/$F 2>&1
+err=$?
update_status "Making doc" "$F" $start
if [ $err != 0 ]; then
NUM_FAILURES=1